Subject: Re: bug#61368: [PATCH] Extend go-ts-mode with support for pre-filling return statements

From: Theodor Thornhill <[email-masked]>
Date: Mon, 15 Jan 2024 09:39:01 +0100

Evgeni Kolev <[email-masked]> writes:

> On Thu, Jan 11, 2024 at 12:43 AM Stefan Kangas <[email-masked]> wrote:
>>
>> Evgeni Kolev <[email-masked]> writes:
>>
>> > Thank you, makes sense. I'll think about the different options and
>> > come up with a proposal.
>>
>> Did you make any progress here?
>
> I have since come across tempo.el and reviewed its use in org-tempo.el.
>
> While tempo.el is a valid option, I still think yasnippet is a better approach.
> However, yasnippet is still not used throughout emacs' core (other
> than "light" uses
> in eglot.el and python.el, and some faces in the themes).
>
> Please let me know in case a generic mechanism for adding snippets to major
> modes has been added - I might have missed it.

Perhaps it's time to revisit the snippet.el that Joao has mentioned?

Theo